#!/usr/bin/python3

import os
import sys
import argparse

from wobuzz.player.playlist import Playlist


def main():
    description = "A music player made by The Wobbler."

    parser = argparse.ArgumentParser(description=description)

    parser.add_argument("track", nargs="*", help="Plays audio files the from given paths.", metavar="TRACKS")
    parser.add_argument("-p", "--playlist", help="Imports a playlist from the given path.", metavar="PLAYLIST_PATH")

    arguments = parser.parse_args()

    from .main import Wobuzz

    app = Wobuzz()

    if arguments.playlist:
        playlist = Playlist(app, "Temporary Playlist", arguments.playlist)

        app.library.replace_temporary_playlist(playlist)

    if arguments.track:
        app.library.open_tracks(arguments.track)

    app.library.load_playlist_views()

    sys.exit(app.qt_app.exec())


if __name__ == "__main__":
    main()
