#!/usr/bin/python3

from PyQt6.QtWidgets import QTabWidget, QTabBar

from .tab_bar import PlaylistTabBar
from .tab_title import TabTitle


class PlaylistTabs(QTabWidget):
    def __init__(self, library, parent=None):
        super().__init__(parent)

        self.library = library
        self.app = library.app

        self.tab_bar = PlaylistTabBar(self)
        self.setTabBar(self.tab_bar)
        self.setDocumentMode(True)

        self.setMovable(True)
        self.setAcceptDrops(True)

    def addTab(self, playlist_view, label):
        super().addTab(playlist_view, None)

        index = self.tab_bar.count() - 1

        title = TabTitle(self.app, label, self.tab_bar, index, playlist_view)

        self.tab_bar.setTabButton(index, QTabBar.ButtonPosition.RightSide, title)

